Subject: RE: Making ND Optional [Was RE: draft-ietf-ipv6-cellular-host-00. txt -> wg last call?]

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Tue, 5 Mar 2002 17:16:17 +0100

> However, it is expected for ND to receive "advice" from other layers
 > regarding the "reachability" of another host -- so it would be
 > great if the L2 mechanism gave ongoing advice to IPv6 regarding
 > the reachability of the router, which would result in suppressing
 > IPv6 NS messages.

Yes, that's what a basic host with only a cellular interface would do.
If there's nobody else on your cellular link (as is the case) then
you won't receive NSs and don't need to send NAs.
I think this is the reason for the MAY in relation to the special
cellular host case.

 > 
 > I don't believe that your conclusion is sound...
 > 
 > >Therefore, Neighbor 
 > >    Solicitation and Advertisement messages MAY be 
 > implemented for the 
 > >    cellular interface. 
 > 
 > An implementor could read this and believe that it was acceptable
 > to build a 3GPP cell phone (with only one cellular interface) that
 > didn't even contain the _code_ necessary to generate IPv6 NS and
 > NA messages.
 > 
 > What happens when that host receives an NS message?

It won't because a cellular host /e.g. 3gpp) is alone on its link.

 > 
 > Do you think that people may ever want to set-up redundant
 > 3GPP networks, or make a choice between two possible 3GPP
 > routers, based on their current reachability?  If you don't
 > use ND, how will this information be available for IPv6
 > routing decisions?

You can only have one so that's not a 3gpp requirement. 
   
 > >2.6 RFC2462 - IPv6 Stateless Address Autoconfiguration 
 > >     
 > >    IPv6 Stateless Address Autoconfiguration [RFC-2462] MAY be 
 > >    supported. 
 > 
 > This should be a MUST.  IPv6 hosts MUST support address 
 > autoconfiguration,
 > although it is possible for the routers to be configured so 
 > that it isn't
 > used (if desired).

If you're a host with only a cellular interface you don't need
to run DADs for example. The 3gpp host as per 3gpp-advice draft gets a
prefix delegated on which to generate addresses. Link-local
is handled using PPP.

 > 
 > >    A cellular host SHOULD NOT perform Duplicate Address 
 > Detection on 
 > >    its cellular interface, as each delegated prefix is 
 > unique within 
 > >    its scope when allocated using the 3GPP IPv6 Stateless Address 
 > >    Autoconfiguration. 
 > 
 > Will the router end of the link allocate any addresses within the
 > unique /64 assigned to the PDP context?  If so, what mechanism will
 > be used to ensure that the host doesn't allocate the same address?

No, the router doesn't allocate any addresses on the "delegated" prefix.
That was the assumption behind our 3gpp-advice draft and has been followed
by 3gpp.

 > 
 > If it's actually true that a conflict can never occur, then we should
 > indicate that DAD won't be used on these link types in an 
 > "IPv6 over <foo>" document, as previously discussed.

OK. But a host which only has a cellular interface doesn't need to
implement DADs so it should be in the cellular hosts draft right?

/Karim
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Keith Moore <[email-masked]>
Date: Tue, 05 Mar 2002 11:54:38 -0500

> It won't because a cellular host /e.g. 3gpp) is alone on its link.

I don't see why this should necessarily be the case, unless
3gpp is trying to treat IPv6 as a link layer.  

what if there are one or more hosts connected to the data interface
on a terminal, that want to communicate directly with applications
on the terminal?  the terminal will need to support ND to alow this to happen.

Keith

---

From: Margaret Wasserman <[email-masked]>
Date: Tue, 05 Mar 2002 12:22:10 -0500

>It won't because a cellular host /e.g. 3gpp) is alone on its link.

On a point-to-point link, there must be at least two nodes...
In this case, one node is the cellular host and the other is
the 3GPP router (GGSN).  

The link is the PDP Context.  If more than one host is attached 
via a cell phone (using the cell phone as a layer 2 "modem"), each
attached host will establish a separate PDP context (and a separate
IPv6 link), and receive a separate /64 delegation.  So, I agree
that there won't be more than 2 nodes on a 3GPP cellular link, the 
way things are currently specified.

>prefix delegated on which to generate addresses. Link-local

There will be (at least) two prefixes in use on the link:  a
global prefix (the delegated /64) and the link-local prefix.
It is my understanding that the GGSN will use a link-local
address on the link.  And, it is important that the link-local
address in use by the GGSN _not_ conflict with the link-local
address(es) in use on the host.  

This could definitely be achieved by other means than running
DAD on the link, though, which is fine with me. 

Margaret

---

From: "Tony Hain" <[email-masked]>
Date: Tue, 5 Mar 2002 09:26:59 -0800

> That was the assumption behind our 3gpp-advice draft and has

The router has to allocate at least 1 address in the prefix, even if it
is just the all-routers address. It is also likely to create another one
that is unique to itself, so there has to be a mechanism in that which
will ensure that the remote end doesn't collide when it chooses a 3041
address. The only obvious choice is to make sure that bit 6 is set,
which in turn means that the router is using an EUI-64 derived address.
Since I don't have access to the 3G specs, is that all true?

Tony

---

From: Keith Moore <[email-masked]>
Date: Tue, 05 Mar 2002 12:56:58 -0500

> way things are currently specified.

that's bizarre.  does that mean that apps on a host that's connected to 
a cell phone won't be able to communicate with apps on that cell phone 
unless the cell phone is talking to the network?    and that communications
between the host and the cell phone will have to go over the wireless
network?

Keith